#property copyright "Manny Patio"
#property link      ""

#include <stdlib.mqh>

#define  MAGICMA           0

string   SYMBOL            = "    ";

//Expert Settings

extern double ACCOUNTPROFITDOLLARS = 80.00;

//Globals
datetime LastBarTraded     = 0;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
//---- 

//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
//---- 

//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void start()
{ 
   CheckForAccountProfitDollars();             
}

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
void ClosePositions(int OrderTickets2Close[])
{
   int i;
   bool is_good;
   
   for(i = 0; i < ArraySize(OrderTickets2Close); i++)
   {
      OrderSelect(OrderTickets2Close[i], SELECT_BY_TICKET);
      if(OrderType() == OP_SELL)
      {
         while (true)
         {
            is_good=OrderClose(OrderTicket(), OrderLots(), Ask, 3, Orange);

         }
      }   
      
      if(OrderType() == OP_BUY)
      {
         while (true)
         {
            is_good=OrderClose(OrderTicket(), OrderLots(), Bid, 3, Orange);

         }
      }
   }
   return;
}

//+------------------------------------------------------------------------------------+
//| CHECK FOR ACCOUNT PROFIT DOLLARS                                                              |
//+------------------------------------------------------------------------------------+

void CheckForAccountProfitDollars()
{   
   int i, j;   
   int OrderTickets2Close[];
   ArrayResize(OrderTickets2Close, 0);

   for(i = 0; i < OrdersTotal(); i++)
   {
      OrderSelect(i, SELECT_BY_POS);
      if( (OrderType() == OP_BUY) && 
         (AccountProfit >= (ACCOUNTPROFITDOLLARS))
         {
            ArrayResize(OrderTickets2Close, j + 1);
            OrderTickets2Close[i] = OrderTicket();
            j++;
         }
      if( (OrderType() == OP_SELL) && 
         (AccountProfit >= (ACCOUNTPROFITDOLLARS))
         {
            ArrayResize(OrderTickets2Close, j + 1);
            OrderTickets2Close[i] = OrderTicket();
            j++;
         }
     }

   ClosePositions(OrderTickets2Close);

   return;
}







